TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

AllRoots ( elt-fld^fin x, elt-ord^rat n ) -> seq()

### Description

<shortdoc> Return a sequence containing all of the n-th roots of x which lie in the same finite field as x. </shortdoc>

### Examples

x_k := FiniteField(7); AllRoots(One(x_k), 6);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack